![ABT Banner](http://i.imgur.com/UxBG7NB.png)
[![Donate](https://img.shields.io/badge/%E2%9D%A4-donate-brightgreen.svg)](https://donorbox.org/academic-bloggers-toolkit)
[![DOI](https://zenodo.org/badge/37433718.svg)](https://zenodo.org/badge/latestdoi/37433718)
[![Changelog](https://img.shields.io/badge/changelog-academic--bloggers--toolkit-blue.svg)](https://headwayapp.co/academic-bloggers-toolkit-changelog)
[![Build Status](https://travis-ci.org/dsifford/academic-bloggers-toolkit.svg?branch=master)](https://travis-ci.org/dsifford/academic-bloggers-toolkit)
[![codecov](https://codecov.io/gh/dsifford/academic-bloggers-toolkit/branch/master/graph/badge.svg)](https://codecov.io/gh/dsifford/academic-bloggers-toolkit)
[![WordPress](https://img.shields.io/wordpress/plugin/dt/academic-bloggers-toolkit.svg?maxAge=2592000)](https://wordpress.org/plugins/academic-bloggers-toolkit/)
[![WordPress rating](https://img.shields.io/wordpress/plugin/r/academic-bloggers-toolkit.svg?maxAge=2592000)](https://wordpress.org/plugins/academic-bloggers-toolkit/)

An **open source** WordPress plugin providing an all-in-one solution for effective academic blogging.

## Contents
- [Features](#features)
- [Translations](#translations)
- [Contributing](#contributing)
- [Documentation](https://github.com/dsifford/academic-bloggers-toolkit/wiki)

### Manifesto

> To my knowledge, there is not one citation plugin that exists for WordPress that does its job the way it should. Every other citation plugin uses WordPress shortcodes to render citations. Is that a bad thing. **Yes**. Here's why:

> Once you commit to using a plugin that uses shortcodes to render content, you're stuck with it for the life of your website. If you uninstall that plugin, all posts which rely on the shortcodes from that plugin break. Additionally, if the person who wrote the plugin decides he/she no longer wants to support it and the shortcode API changes, all of your posts will break. **This is unacceptable for academic writing**.

> This plugin generates plain, beautiful HTML and renders it at the time of insertion. There are **zero** shortcodes. There is **zero** chance of your posts breaking.

> Need to write one long blog post with lots of references? Download this plugin, write the post, and then delete the plugin if you don't need it any longer. **Freedom.**

## Features
- Insert formatted references on the fly using **PMID**, **PMCID**, **DOI** (CrossRef, DataCite, & mEDRA), **URL**, or **ISBN**.
- Manually insert formatted references from **over 15 types of references**.
- **Import a full bibliography from your favorite reference manager** using an exported `.ris` or `BibTeX` file.
- Automatically format references for **every citation style on planet earth** (over 1300).
- **Fully interactive** reference list which lives beside the post editor.
- **Search PubMed from the post editor** and insert references instantly.
- Inline citations display full formatted references on the frontend when hovered with the mouse (or when tapped on mobile). No more scrolling down and losing your focus!

## Translations

<p align="center"><a href="https://poeditor.com/join/project/PGYLKWQM5h"><strong>Click Here to Translate this Plugin</strong></a></p>

Translations for this plugin can be completed and submitted [here](https://poeditor.com/join/project/PGYLKWQM5h). After submission of a translation, I'll try to update the plugin with your translations within 7 days.

#### Currently Available Languages
> **Note:** Translations marked with a :star: are direct translations. Those without a :star: were the product of another translation and may not be accurate.

Language | Locale | Translator
---------|--------|----------
German (Germany) | `de_DE` :star: | Mathias Micheel
German (Switzerland) | `de_CH` | Mathias Micheel
Spanish (Argentina) | `es_AR` :star: | Lucas Semelin
Spanish (Chile) | `es_CL` | Lucas Semelin
Spanish (Columbia) | `es_CO` | Lucas Semelin
Spanish (Spain) | `es_ES` | Lucas Semelin
Spanish (Guatemala) | `es_GT` | Lucas Semelin
Spanish (Mexico) | `es_MX` | Lucas Semelin
Spanish (Peru) | `es_PE` | Lucas Semelin
Spanish (Venezuela) | `es_VE` | Lucas Semelin

## Contributing

If you'd like to contribute to this project, please read the [contributor guide](https://github.com/dsifford/academic-bloggers-toolkit/blob/master/CONTRIBUTING.md).
